import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { CartesianGrid, Legend, Line, LineChart, ResponsiveContainer, Tooltip, XAxis, YAxis, } from 'recharts';
import palette from '../../theme/colors';
const AdminLineChart = (props) => {
    const { data, primaryLineLabel, secondaryLineLabel } = props;
    return (_jsx(ResponsiveContainer, { width: "80%", height: "80%", children: _jsxs(LineChart, { data: data, children: [_jsx(CartesianGrid, { strokeDasharray: "3 3" }), _jsx(XAxis, { dataKey: "xAxisKey" }), _jsx(YAxis, {}), _jsx(Tooltip, {}), _jsx(Legend, {}), _jsx(Line, { name: primaryLineLabel, type: "monotone", dataKey: "primaryLineKey", stroke: palette.primary, activeDot: { r: 8 } }), _jsx(Line, { name: secondaryLineLabel, type: "monotone", dataKey: "secondaryLineKey", stroke: palette.toastSuccessBorder })] }) }));
};
export default AdminLineChart;
