import { jsx as _jsx } from "react/jsx-runtime";
import Chip from '@mui/material/Chip';
import palette from '../../theme/colors';
import './adminChip-styles.scss';
const AdminChip = (props) => {
    const { label, chipColor = palette.toastSuccessBackground, variant = 'filled', className, labelClassName, } = props;
    return (_jsx(Chip, { variant: variant, classes: { label: `adminChip__label  ${labelClassName ? labelClassName : ''}` }, className: `adminChip__container ${className ? className : ''}`, sx: { background: chipColor }, label: label }));
};
export default AdminChip;
