import React from 'react';
import { ModalOwnProps } from '@mui/material';
import './adminModal-styles.scss';
interface AdminModalProps extends ModalOwnProps {
    /** open: is an required prop for modal open/closed state */
    open: boolean;
    /** onClose: is an callback function triggered on modal close */
    onClose: () => void;
    /** containerClass: is an optional prop for which dictates the class for modal container */
    containerClass?: string;
}
declare const AdminModal: React.FC<AdminModalProps>;
export default AdminModal;
