export const DEMO = 'DEMO';
export const LOCAL_STORAGE_KEYS = {
    isLoggedIn: 'isLoggedIn',
};
export const ROLES = {
    MANAGER: 'Manager',
    OWNER: 'Owner',
};
export var PARAMS;
(function (PARAMS) {
    PARAMS["Type"] = "type";
    PARAMS["Filter"] = "filter";
})(PARAMS || (PARAMS = {}));
export var DrawerVariant;
(function (DrawerVariant) {
    DrawerVariant["Permanent"] = "permanent";
    DrawerVariant["Temporary"] = "temporary";
    DrawerVariant["Persistent"] = "persistent";
})(DrawerVariant || (DrawerVariant = {}));
export var ConfirmationModalPreset;
(function (ConfirmationModalPreset) {
    ConfirmationModalPreset["Delete"] = "Delete";
    ConfirmationModalPreset["Success"] = "Success";
    ConfirmationModalPreset["Warning"] = "Warning";
})(ConfirmationModalPreset || (ConfirmationModalPreset = {}));
export var ButtonVariant;
(function (ButtonVariant) {
    ButtonVariant["Contained"] = "contained";
    ButtonVariant["Outlined"] = "outlined";
    ButtonVariant["Text"] = "text";
})(ButtonVariant || (ButtonVariant = {}));
export var DrawerAnchor;
(function (DrawerAnchor) {
    DrawerAnchor["Left"] = "left";
    DrawerAnchor["Right"] = "right";
})(DrawerAnchor || (DrawerAnchor = {}));
export var VariantTypes;
(function (VariantTypes) {
    VariantTypes["Outlined"] = "outlined";
    VariantTypes["Standard"] = "standard";
})(VariantTypes || (VariantTypes = {}));
export const INPUT_LABELS = {
    CONTACT_NUMBER: 'Contact Number',
    PASSWORD: 'Password',
    EMAIL: 'Email',
};
export const COMMON_STYLE = {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    width: '100%',
};
export var FirebaseUserRoles;
(function (FirebaseUserRoles) {
    FirebaseUserRoles["Admin"] = "admin";
    FirebaseUserRoles["SuperAdmin"] = "superAdmin";
})(FirebaseUserRoles || (FirebaseUserRoles = {}));
export var FieldEnum;
(function (FieldEnum) {
    FieldEnum["Checkbox"] = "CHECKBOX";
    FieldEnum["ChipInput"] = "CHIP_INPUT";
    FieldEnum["Date"] = "DATE";
    FieldEnum["DateRange"] = "DATE_RANGE";
    FieldEnum["DateTime"] = "DATETIME";
    FieldEnum["Dropdown"] = "Dropdown";
    FieldEnum["Number"] = "NUMBER";
    FieldEnum["Radio"] = "RADIO";
    FieldEnum["REPEATER"] = "REPEATER";
    FieldEnum["Slider"] = "SLIDER";
    FieldEnum["Text"] = "TEXT";
    FieldEnum["Time"] = "TIME";
    FieldEnum["TimeRange"] = "TIME_RANGE";
    FieldEnum["Toggle"] = "TOGGLE";
    FieldEnum["UPLOADER"] = "UPLOADER";
})(FieldEnum || (FieldEnum = {}));
export var EditApiMethod;
(function (EditApiMethod) {
    EditApiMethod["PATCH"] = "PATCH";
    EditApiMethod["PUT"] = "PUT";
})(EditApiMethod || (EditApiMethod = {}));
