export var DateTimePickerPreset;
(function (DateTimePickerPreset) {
    DateTimePickerPreset["Date"] = "DATE";
    DateTimePickerPreset["Time"] = "TIME";
})(DateTimePickerPreset || (DateTimePickerPreset = {}));
export var DateFormat;
(function (DateFormat) {
    DateFormat["DDMMYYYY"] = "DD/MM/YYYY";
    DateFormat["FullDate"] = "Do MMMM, YYYY";
    DateFormat["FullDateWithTime"] = "Do MMMM, YYYY, hh:mm A";
    DateFormat["ISO8601"] = "YYYY-MM-DDTHH:mm:ssZ";
    DateFormat["ll"] = "ll";
    DateFormat["LL"] = "LL";
    DateFormat["LLL"] = "LLL";
    DateFormat["LLSS"] = "LLL";
    DateFormat["LT"] = "LT";
    DateFormat["MMDDYYYY"] = "MM/DD/YYYY";
    DateFormat["YYYY"] = "YYYY";
    DateFormat["YYYYMMDD"] = "YYYY-MM-DD";
    DateFormat["DateTimeFormat"] = "MMM D, YYYY h:mm A";
})(DateFormat || (DateFormat = {}));
export var UnixTimestampFormat;
(function (UnixTimestampFormat) {
    UnixTimestampFormat["Seconds"] = "X";
    UnixTimestampFormat["Milliseconds"] = "x";
})(UnixTimestampFormat || (UnixTimestampFormat = {}));
export var TimeFormat;
(function (TimeFormat) {
    TimeFormat["HHMMSS"] = "HH:mm:ss";
    TimeFormat["HHMM"] = "HH:mm";
    TimeFormat["LT"] = "LT";
    TimeFormat["LTS"] = "LTS";
    TimeFormat["HHMMA"] = "hh:mm A";
})(TimeFormat || (TimeFormat = {}));
