declare const ConfigStore: import("mobx-state-tree").IModelType<{
    configData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<{
        id: import("mobx-state-tree").ISimpleType<string>;
        key: import("mobx-state-tree").ISimpleType<string>;
        value: import("mobx-state-tree").IType<any, any, any>;
        type: import("mobx-state-tree").ISimpleType<string>;
    }, {}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>, [undefined]>;
    isConfigLoading: import("mobx-state-tree").ISimpleType<boolean>;
}, {
    getConfigData: (page: number, limit: number) => Promise<void>;
    deleteConfigItem: (id: string) => Promise<void>;
    addConfigData: (data: {
        id?: string;
        key: string;
        value: string;
        type: string;
    }) => Promise<void>;
    updateConfigItem: (id: string, newData: any) => Promise<void>;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export { ConfigStore };
