import { ISideBarProps } from '../../types/sidebar-types';
import './sidebar-styles.scss';
interface IAdminSidebarProps {
    /** brandLogo: is an optional prop which render brand logo */
    brandLogo?: string;
    /** children: is a required prop which render children components */
    children: React.ReactNode;
    /** routes: is an optional prop that provides sidebar navigation routes */
    routes?: ISideBarProps[];
    /** companyName: is an  prop which render company name */
    companyName: string;
}
declare const SideBar: (props: IAdminSidebarProps) => import("react/jsx-runtime").JSX.Element;
export default SideBar;
