export declare const DEMO = "DEMO";
export declare const LOCAL_STORAGE_KEYS: {
    isLoggedIn: string;
};
export declare const ROLES: {
    MANAGER: string;
    OWNER: string;
};
export declare enum PARAMS {
    Type = "type",
    Filter = "filter"
}
export declare enum DrawerVariant {
    Permanent = "permanent",// this is small-case as mui components has pre-defined values
    Temporary = "temporary",
    Persistent = "persistent"
}
export declare enum ConfirmationModalPreset {
    Delete = "Delete",
    Success = "Success",
    Warning = "Warning"
}
export declare enum ButtonVariant {
    Contained = "contained",// this is small-case as mui components has pre-defined values
    Outlined = "outlined",
    Text = "text"
}
export declare enum DrawerAnchor {
    Left = "left",
    Right = "right"
}
export declare enum VariantTypes {
    Outlined = "outlined",// this is small-case as mui components has pre-defined values
    Standard = "standard"
}
export declare const INPUT_LABELS: {
    CONTACT_NUMBER: string;
    PASSWORD: string;
    EMAIL: string;
};
export declare const COMMON_STYLE: {
    display: string;
    alignItems: string;
    justifyContent: string;
    width: string;
};
export declare enum FirebaseUserRoles {
    Admin = "admin",
    SuperAdmin = "superAdmin"
}
export declare enum FieldEnum {
    Checkbox = "CHECKBOX",
    ChipInput = "CHIP_INPUT",
    Date = "DATE",
    DateRange = "DATE_RANGE",
    DateTime = "DATETIME",
    Dropdown = "Dropdown",
    Number = "NUMBER",
    Radio = "RADIO",
    REPEATER = "REPEATER",
    Slider = "SLIDER",
    Text = "TEXT",
    Time = "TIME",
    TimeRange = "TIME_RANGE",
    Toggle = "TOGGLE",
    UPLOADER = "UPLOADER"
}
export declare enum EditApiMethod {
    PATCH = "PATCH",
    PUT = "PUT"
}
